Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tonbeller.wcf.table
Interface ITableComponent

All Superinterfaces:
  Component, FormListener, LifeCycle, Renderable, RequestListener, Visible

All Known Implementing Classes:
  EditableTableComponent, TableComponent

public interface ITableComponent
extends Component

Common behaviour of EditableTableComponent and TableComponent

Author:
  av

Method Summary
`java.lang.String` | `getBorder()` gets the border attribute of the generated table.
`int` | `getCurrentPage()`
`TableModel` | `getModel()` the underlying data model w/o sort/paging decorators
`int` | `getPageCount()`
`int` | `getPageSize()`
`java.lang.String` | `getRenderId()` gets the renderId attribute of the generated table.
`com.tonbeller.wcf.table.RowComparator` | `getRowComparator()`
`SelectionModel` | `getSelectionModel()` the current selection
`boolean` | `isClosable()` shall this table have a close button?
`boolean` | `isPageable()` allows to enable/disable paging of rows
`boolean` | `isReadOnly()` user may view data but not change the selection
`boolean` | `isSortable()` allows to enable/disable sorting of columns
`void` | `setBorder(java.lang.String border)` sets the border attribute of the generated table.
`void` | `setClosable(boolean b)` shall this table have a close button?
`void` | `setCurrentPage(int newCurrentPage)`
`void` | `setError(java.lang.String message)` sets the error message to display
`void` | `setModel(TableModel newModel)` set the data model and initializes everything
`void` | `setPageable(boolean newPageable)` allows to enable/disable paging of rows
`void` | `setPageSize(int newPageSize)`
`void` | `setReadOnly(boolean readOnly)` user may view data but not change the selection
`void` | `setRenderId(java.lang.String renderId)` sets the renderId attribute of the generated table.
`void` | `setSelectionModel(SelectionModel selectionModel)` the current selection
`void` | `setSortable(boolean newSortable)` allows to enable/disable sorting of columns
`void` | `setSortColumnIndex(int index)` set the current sort column

Methods inherited from interface com.tonbeller.wcf.component.Component
`getParent, isListeningTo, setNextView`

Methods inherited from interface com.tonbeller.wcf.controller.RequestListener
`request`

Methods inherited from interface com.tonbeller.wcf.component.Renderable
`render`

Methods inherited from interface com.tonbeller.wcf.component.FormListener
`revert, validate`

Methods inherited from interface com.tonbeller.wcf.component.Visible
`isVisible, setVisible`

Methods inherited from interface com.tonbeller.wcf.component.LifeCycle
`destroy, initialize`

Method Detail

### setModel

    public void setModel(TableModel newModel)

  set the data model and initializes everything

### getModel

    public TableModel getModel()

  the underlying data model w/o sort/paging decorators

### setSelectionModel

    public void setSelectionModel(SelectionModel selectionModel)

  the current selection

### getSelectionModel

    public SelectionModel getSelectionModel()

  the current selection

### setSortable

    public void setSortable(boolean newSortable)

  allows to enable/disable sorting of columns

### isSortable

    public boolean isSortable()

  allows to enable/disable sorting of columns

### setPageable

    public void setPageable(boolean newPageable)

  allows to enable/disable paging of rows

### isPageable

    public boolean isPageable()

  allows to enable/disable paging of rows

### setSortColumnIndex

    public void setSortColumnIndex(int index)

  set the current sort column

### getRowComparator

    public com.tonbeller.wcf.table.RowComparator getRowComparator()

### getPageSize

    public int getPageSize()

### setPageSize

    public void setPageSize(int newPageSize)

### getCurrentPage

    public int getCurrentPage()

### setCurrentPage

    public void setCurrentPage(int newCurrentPage)

### getPageCount

    public int getPageCount()

### isClosable

    public boolean isClosable()

  shall this table have a close button?

### setClosable

    public void setClosable(boolean b)

  shall this table have a close button?

### getBorder

    public java.lang.String getBorder()

  gets the border attribute of the generated table. Overrides the global stylesheet parameter "border".

  Returns:
    the border attribute or null

### setBorder

    public void setBorder(java.lang.String border)

  sets the border attribute of the generated table. Overrides the global stylesheet parameter "border".

  Parameters:
    `border` - the border attribute or null to use the stylesheet parameter

### setRenderId

    public void setRenderId(java.lang.String renderId)

  sets the renderId attribute of the generated table. Overrides the global stylesheet parameter "renderId".

  Parameters:
    `renderId` - the renderId attribute or null to use the stylesheet parameter

### getRenderId

    public java.lang.String getRenderId()

  gets the renderId attribute of the generated table. Overrides the global stylesheet parameter "renderId".

  Returns:
    the renderId attribute or null

### setError

    public void setError(java.lang.String message)

  sets the error message to display

  Parameters:
    `message` - the message to display or null to remove a previous error message

### isReadOnly

    public boolean isReadOnly()

  user may view data but not change the selection

### setReadOnly

    public void setReadOnly(boolean readOnly)

  user may view data but not change the selection

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD